onboarding
Create onboarding plan
Requires scopes: eval:read
POST
/
api
/
onboarding
/
setup
/
plan
Create onboarding plan
curl --request POST \
--url https://evalgate.com/api/onboarding/setup/plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plan": "<string>"
}
'import requests
url = "https://evalgate.com/api/onboarding/setup/plan"
payload = { "plan": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({plan: '<string>'})
};
fetch('https://evalgate.com/api/onboarding/setup/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plan": {
"schemaVersion": 1,
"mode": "plan",
"project": {
"name": "<string>",
"cwd": "<string>",
"runtime": "<string>",
"packageManager": "<string>",
"hasTestScript": true,
"testScript": "<string>",
"isPolyglot": true,
"isWorkspace": true,
"gitRoot": "<string>",
"hasPackageJson": true,
"hasPythonMarkers": true,
"packageHandlers": [
{}
],
"aiUsage": {}
},
"manifest": {
"path": "<string>",
"schemaVersion": 123
},
"willWrite": [
{
"path": "<string>",
"action": "create",
"description": "<string>"
}
],
"willExecute": [
{
"command": "<string>",
"when": "<string>",
"defaultDuringInit": false
}
],
"networkAndCredentials": {
"initApply": "none",
"notes": [
"<string>"
]
},
"rollback": {
"boundary": "<string>",
"manual": "<string>",
"transactionCommand": "<string>"
},
"nextCommands": [
"<string>"
]
},
"projectStatus": {
"schemaVersion": 1,
"inspectedAt": "<string>",
"source": "cli-init-plan",
"projectName": "<string>",
"runtime": "<string>",
"cwd": "<string>",
"gitRoot": "<string>",
"isPolyglot": true,
"isWorkspace": true,
"manifestPath": "<string>",
"manifestRevision": "<string>",
"plannedWrites": 123,
"plannedCreates": 123,
"plannedSkips": 123,
"willExecuteCount": 123,
"networkPolicy": "none",
"rollbackBoundary": "<string>",
"rollbackCommand": "<string>",
"nextCommands": [
"<string>"
],
"baselineLineage": "pending",
"selectedTarget": "<string>",
"latestRun": null,
"connectorHealth": "not-connected",
"prGateState": "not-configured",
"nextSafeAction": "<string>"
},
"onboardingState": {
"completedSteps": [
"<string>"
],
"skipped": true,
"selectedScopes": [
"<string>"
],
"providerKeyProvider": "<string>",
"customizedAt": "<string>",
"wizard": {
"selectedPath": "repository",
"evaluationId": 123,
"evaluationName": "<string>",
"testCaseIds": [
123
],
"baselineStatus": "pending",
"currentStep": 123,
"completed": true,
"inspectedPlan": {},
"projectStatus": {}
}
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create onboarding plan
